Bug 508578 - nvidia-config-display segfaults
nvidia-config-display segfaults
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 15:29 EDT by Jeffrey Bonggren
Modified: 2018-04-11 04:49 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-29 11:16:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB backtrace obtained from core file (4.69 KB, text/plain)
2009-06-28 15:29 EDT, Jeffrey Bonggren
no flags Details

  None (edit)
Description Jeffrey Bonggren 2009-06-28 15:29:48 EDT
Created attachment 349710 [details]
GDB backtrace obtained from core file

Running "nvidia-config-display enable" causes a segfault.  nvidia-config-display is a python program.  Via gdb, I noticed the backtrace points to pyxf86config as a likely culprit.

Relevant Package Versions:
xorg-x11-drv-nvidia-185.18.14-2.fc11.x86_64
python-2.6-9.fc11.x86_64
pyxf86config-0.3.37-4.fc11.x86_64
Comment 1 Jeffrey Bonggren 2009-06-30 20:56:07 EDT
Adam Stewart helped me with a workaround:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=693

Apparently this is indeed a pyxf86config bug and is triggered by the presence of the InputDevice and/or Modules sections.  I removed these sections and nvidia-config-display did not segfault.

The xorg.conf file that triggered the crash is available at the rpmfusion bugzilla link above.
Comment 2 Stewart Adam 2009-08-08 03:42:04 EDT
If I remember correctly from my testing it was specifically a keyboard InputDevice section, but I may be wrong. Either way, removing the now-unneeded Module and InputDevices sections is a good workaround for this bug.
Comment 3 Matěj Cepl 2009-11-05 13:33:19 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Campbell 2009-12-06 10:36:04 EST
Jeffrey, is this still an issue for you with an updated system?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Jeffrey Bonggren 2009-12-06 14:40:18 EST
(In reply to comment #4)
> Jeffrey, is this still an issue for you with an updated system?
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

I'm sorry I haven't kept on top of this.  The problem is that I couldn't think of an easy way to test this without causing lots of disruption to my now-working system.

This hasn't been a problem for me since I took out the problematic sections of my xorg.conf.

I am still running F11 and keeping up with updates.  I checked the versions of the relevant packages and they haven't changed.

It looks like I would need to switch yum repositories or try the LiveMedia F12.  I would then need to get the nvidia stuff from rpmfusion and use the xorg.conf that triggered the bug from before.
Comment 6 Gerhard 2010-01-04 06:50:46 EST
I've Fedora 12 running and the problem still persists.
Comment 7 Matěj Cepl 2010-01-29 11:16:55 EST
Guys, sorry for missing the most important thing. We are sorry that we cannot help you with your problem, but we are not able to support binary-only drivers (especially xorg.conf by it). If you would be able to reproduce this issue using only open source software, please, reopen this bug with the additional information, but in meantime I have no choice than to close this bug as CANTFIX (because we really cannot fix it).

The open source 'nouveau' driver (in package xorg-x11-drv-nouveau) is the recommended alternative for users of Nvidia graphic chips.  It is used by default in Fedora 11 and later if you remove any customizations that explicitly set the video driver.  The older "nv" driver may be needed in some cases.  It is also available in older Fedora releases.  Install the packages xorg-x11-drv-nouveau or xorg-x11-drv-nv and override the X server's default choice if necessary.  See https://fedoraproject.org/wiki/Features/NouveauAsDefault for more information.

If you used a non-packaged version of the driver from the Nvidia website please clean your system from additional libraries and software it installed. For users who are experiencing problems installing, configuring, or using the unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides indirect customer support via an online web based support forum.  Nvidia monitors these web forums for commonly reported problems and passes them on to Nvidia engineers for investigation.  Once they've isolated a particular problem, it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

	http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have experienced the particular problem may be able to assist.  If there is a real bug occuring, Nvidia will be able to determine this, and will likely resolve the issue in a future driver update for the operating system releases that they officially support.

While we does not support the proprietary nvidia driver, users requiring technical support may also find the various X.Org, XFree86, and Red Hat/Fedora mailing lists helpful in finding assistance:

X.Org mailing lists:
	http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
	http://www.xfree86.org/sos/lists.html

Red Hat/Fedora mailing lists:
	https://listman.redhat.com/mailman/listinfo
Comment 8 Stewart Adam 2010-01-29 19:53:27 EST
Although the driver itself is binary-only, nvidia-config-display is a small tool written by RPM Fusion to help users make the changes to xorg.conf. It's full source code is available (it's a python file) at /usr/sbin/nvidia-config-display.
Comment 9 v.ronnen 2010-05-28 12:05:11 EDT
This bug is also occurring in Fedora 13.
After the first reboot after install on a clean HD, firstboot is not showing up.
Inittab 3 gives me console.
yum update -y gives 208 packages.
Fedora 13 must be very very buggy if so many updates are there in just a few days!!!!

With the nouveau driver no first boot.
Witch nvidia drivers crash on nvidia-config-display.

Fedora 13 is a total disaster. Hope this will be fixed and a new Fedora-13-i386-DVD.iso and Fedora-13-x86_64-DVD.iso will be created.

208 updates in 3 days from offical release? Why aren't they in the iso?

Open source is lacking any form of QA! This won't happen to microsoft.

Note You need to log in before you can comment on or make changes to this bug.